﻿using Microsoft.AspNetCore.Components;
using VeraxShield.modele.utilisateurs;
using VeraxShield.services.UtilisateursDataService;

namespace VeraxShield.Pages.utilisateurs
{
	public partial class ListeUtilisateurs
	{
		[Inject]
		private IUtilisateursDataService utilisateursDataService { get; set; }

		public List<Utilisateur> Utilisateurs { get; set; }

		private Utilisateur utilisateurSelectionne;

		protected override async Task OnInitializedAsync()
		{
            //await this.utilisateursDataService.resetDataUtilisateurs();

            this.Utilisateurs = await this.utilisateursDataService.getAllUtilisateurs();
			await base.OnInitializedAsync();
		}

        private async Task HandleUtilisateurSupprime()
        {
            this.Utilisateurs = await this.utilisateursDataService.getAllUtilisateurs();
            StateHasChanged(); // Actualiser la vue
        }
    }
}
